$(function() {
    // Copie des templates (ici une seule)
    var tmplNote = $(".note.template").clone().removeClass("template");
    
    $("dl.questionnaire dd").hide();
    $("dl.questionnaire dt").on("click", function () {
        $(this).nextUntil("dt").toggle();
    });
    
    $("dl.questionnaire dt").each(function (i) {
        $(this).prepend("Q" + ++i + ": ");
    });
    
    $("dl[class!='questionnaire'] dd").on("mouseover mouseout", function () {
       $(this).toggleClass("highlight"); 
    });
    
    $("a[href^='http']").addClass("externalLink");
    
    // Gestion du click sur le bouton d'ajout de note
    $("#ajouter").on("click", function () {
        // Récup du textarea
        var note = $("#newNote").val();
        // Création de la note via la template        
        var newNote = tmplNote.clone();        
        // Insertion des données dans la template
        $(".noteContent", newNote).text(note);
        $(".noteTitle", newNote).text(note);
        // Ajout de la note dans #notes
        newNote.appendTo("#notes");
    });
    
    $("#notes").on("mouseover mouseout", ".note", function () {
        $(this).toggleClass("warning");
    });
   
});